*Inheritance: EventDispatcher → Node →*

# LightingNode

Base class for lighting nodes.

## Constructor

### new LightingNode()

Constructs a new lighting node.

## Properties

### .isLightingNode : boolean (readonly)

This flag can be used for type testing.

Default is `true`.

## Source

[src/nodes/lighting/LightingNode.js](https://github.com/mrdoob/three.js/blob/master/src/nodes/lighting/LightingNode.js)